Modify

#664 closed enhancement (duplicate)

Retrieve tweets from Twitter saved searches

Reported by: James Teh <jamie@…> Owned by: geert
Priority: wishlist Milestone:
Component: Twitter Version: devel
Keywords: Cc:
IRC client+version: Client-independent Operating System: Windows
OS version/distro:

Description

It would be useful if Bitlbee could retrieve tweets from saved searches for Twitter accounts.

  1. The saved searches must first be retrieved; see http://dev.twitter.com/doc/get/saved_searches
  2. The tweets for each search must then be retrieved; see http://dev.twitter.com/doc/get/search
    • I think this one is going to be very tricky, as it only provides responses in json and atom. I guess Atom is XML, but it'll have to be parsed completely differently to the other timelines, which sucks.

Attachments (0)

Change History (3)

comment:1 Changed at 2011-11-11T16:31:20Z by ilf <ilf@…>

+1 to subscribe

comment:2 Changed at 2012-01-05T12:49:34Z by anonymous

As I mentioned #597 saved_searches has a return format of XML so could be added, as do lists which would also be nice

comment:3 Changed at 2012-12-23T15:26:08Z by wilmer

Resolution: duplicate
Status: newclosed

#597

BitlBee uses JSON now which takes away the biggest problem. trac3r in #bitlbee has a patch that implements some of this already.

Modify Ticket

Action
as closed The owner will remain geert.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.